<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/contact_container"
    android:layout_width="match_parent"
    android:layout_height="@dimen/item_contact_height"
    android:gravity="center_vertical"
    android:orientation="horizontal"
    android:paddingLeft="@dimen/activity_horizontal_margin"
    android:paddingRight="@dimen/activity_horizontal_margin">

    <de.hdodenhof.circleimageview.CircleImageView
        android:id="@+id/contact_avatar"
        android:layout_width="40dp"
        android:layout_height="40dp"
        android:layout_marginEnd="@dimen/item_contact_avatar_padding"
        android:layout_marginRight="@dimen/item_contact_avatar_padding"
        android:contentDescription="@null"
        tools:src="@drawable/avatar_list" />

    <LinearLayout
        android:layout_width="0dp"
        android:layout_height="match_parent"
        android:layout_weight="1"
        android:gravity="center_vertical"
        android:orientation="vertical">

        <TextView
            android:id="@+id/contact_name"
            style="@style/AppTheme.ListTitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            tools:text="Sasha Grey" />

        <hani.momanii.supernova_emoji_library.Helper.EmojiconTextView
            android:id="@+id/contact_message_last"
            style="@style/AppTheme.ListSubtitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            tools:text="Great! My problem is that whenever I have..." />
    </LinearLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:gravity="center_vertical"
        android:orientation="vertical">

        <TextView
            android:id="@+id/contact_message_timestamp"
            style="@style/AppTheme.ListSubtitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            tools:text="16:24" />

        <FrameLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="end"
            android:paddingTop="@dimen/item_contact_message_status_padding">

            <ImageView
                android:id="@+id/contact_message_status"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:contentDescription="@null"
                tools:src="@drawable/message_delivered" />

            <ProgressBar
                android:id="@+id/contact_message_pending"
                style="?android:attr/progressBarStyleSmall"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:visibility="gone"
                tools:visibility="visible" />
        </FrameLayout>
    </LinearLayout>
</LinearLayout>